Support Questions
Find answers, ask questions, and share your expertise

Ambari not reflecting NiFi version after upgrade to HDF 3.1.1

Contributor

I am currently on HDP 2.6.1, Ambari 2.5.1, and HDF 3.0.1 which is installed on top of HDP. I am ultimately wanting to upgrade HDF to 3.1.1 so I can use the newer features like the Registry. I am following steps here to upgrade.

https://docs.hortonworks.com/HDPDocuments/HDF3/HDF-3.1.1/bk_ambari-upgrade/content/ch_upgrade-hdf-on...

However, after first upgrading Ambari to 2.6.1.5, and then HDF to 3.1.1, Ambari still shows in the versions that NiFi is running version 1.2.0 when it is actually on 1.5.0. What am I missing here? How can I get the correct version to show in Ambari? Due to the manual process of upgrading the packages, it seems Ambari is no longer aware of what version NiFi is actually on.

1 ACCEPTED SOLUTION

Accepted Solutions

Contributor

HDF 3.1.1 is not compatible with HDP 2.6.1. I was told by Hortonworks that HDP 3.0 will be compatible and I must wait until its release.

View solution in original post

2 REPLIES 2

Contributor

Hi @Josh Nicholson,

On ambari server node, can you check what is present in below file?

/var/lib/ambari-server/resources/mpacks/hdf-ambari-mpack-3.0.1.0-43/stacks/HDF/3.0/services/NIFI/metainfo.xml

Also, in Ambari DB you may need to check output of below query:

select version_xml from repo_version;

If both point to NiFi version as 1.2.0 then we will have to update metainfo.xml and also the repo_version table.

Contributor

HDF 3.1.1 is not compatible with HDP 2.6.1. I was told by Hortonworks that HDP 3.0 will be compatible and I must wait until its release.

View solution in original post